Package org.apache.wiki.event

# Class WorkflowEvent

java.lang.Object
java.util.EventObject
org.apache.wiki.event.WikiEvent
org.apache.wiki.event.WorkflowEvent

All Implemented Interfaces:
  `Serializable`

public final class WorkflowEvent extends WikiEvent

WorkflowEvent indicates that a state change to a Workflow: started, running, waiting, completed, aborted. These correspond exactly to the states described in the `org.apache.wiki.workflow.Workflow`. All events are logged with priority INFO.

Since:
  2.3.79
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ABORTED`
If a Step has elected to abort the Workflow.
`static final int`
`COMPLETED`
After the Workflow has finished processing all Steps, without errors.
`static final int`
`CREATED`
After Workflow instantiation.
`static final int`
`DQ_ADDITION`
When the workflow wishes to add a Decision to the DecisionQueue
`static final int`
`DQ_DECIDE`
When the decision queue decides the outcome of a Decision
`static final int`
`DQ_REASSIGN`
When the decision queue reassigns a Decision
`static final int`
`DQ_REMOVAL`
When the workflow wishes to remove a Decision from the DecisionQueue
`static final int`
`RUNNING`
After the Workflow has been started (or re-started) using the `org.apache.wiki.workflow.Workflow#start()` method, but before it has finished processing all Steps.
`static final int`
`STARTED`
After the Workflow has been instantiated, but before it has been started using the `org.apache.wiki.workflow.Workflow#start()` method.
`static final int`
`WAITING`
When the Workflow has temporarily paused, for example because of a pending Decision.

### Fields inherited from class org.apache.wiki.event.WikiEvent

`ERROR, UNDEFINED`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`WorkflowEvent(Object src, int type)`
Constructs a new instance of this event type, which signals a security event has occurred.
`WorkflowEvent(Object src, int type, Object... args)`
Constructs a new instance of this event type, which signals a security event has occurred.

## Method Summary

Modifier and Type
Method
Description
`String`
`eventName(int type)`
Returns a textual representation of an event type.
`String`
`toString()`
Prints a String (human-readable) representation of this object.

### Methods inherited from class org.apache.wiki.event.WikiEvent

`eventName, getArg, getArgs, getSrc, getType, getTypeDescription, getWhen, isValidType, setType`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### CREATED

public static final int CREATED
After Workflow instantiation.

See Also:
  - Constant Field Values

### STARTED

public static final int STARTED
After the Workflow has been instantiated, but before it has been started using the `org.apache.wiki.workflow.Workflow#start()` method.

See Also:
  - Constant Field Values

### RUNNING

public static final int RUNNING
After the Workflow has been started (or re-started) using the `org.apache.wiki.workflow.Workflow#start()` method, but before it has finished processing all Steps.

See Also:
  - Constant Field Values

### WAITING

public static final int WAITING
When the Workflow has temporarily paused, for example because of a pending Decision.

See Also:
  - Constant Field Values

### COMPLETED

public static final int COMPLETED
After the Workflow has finished processing all Steps, without errors.

See Also:
  - Constant Field Values

### ABORTED

public static final int ABORTED
If a Step has elected to abort the Workflow.

See Also:
  - Constant Field Values

### DQ_ADDITION

public static final int DQ_ADDITION
When the workflow wishes to add a Decision to the DecisionQueue

See Also:
  - Constant Field Values

### DQ_REMOVAL

public static final int DQ_REMOVAL
When the workflow wishes to remove a Decision from the DecisionQueue

See Also:
  - Constant Field Values

### DQ_DECIDE

public static final int DQ_DECIDE
When the decision queue decides the outcome of a Decision

See Also:
  - Constant Field Values

### DQ_REASSIGN

public static final int DQ_REASSIGN
When the decision queue reassigns a Decision

See Also:
  - Constant Field Values

## Constructor Details

### WorkflowEvent

public WorkflowEvent(Object src, int type)
Constructs a new instance of this event type, which signals a security event has occurred. The `source` parameter is required, and may not be `null`. When the WikiSecurityEvent is constructed, the security logger `WikiSecurityEvent#log` is notified.

Parameters:
  `src` - the source of the event, which can be any object: a wiki page, group or authentication/authentication/group manager.
  `type` - the type of event

### WorkflowEvent

public WorkflowEvent(Object src, int type, Object... args)
Constructs a new instance of this event type, which signals a security event has occurred. The `source` parameter is required, and may not be `null`. When the WikiSecurityEvent is constructed, the security logger `WikiSecurityEvent#log` is notified.

Parameters:
  `src` - the source of the event, which can be any object: a wiki page, group or authentication/authentication/group manager.
  `type` - the type of event

## Method Details

### toString

public String toString()
Prints a String (human-readable) representation of this object.

Overrides:
  `toString` in class `WikiEvent`
Returns:
  the String representation
See Also:
  - `Object.toString()`

### eventName

public String eventName(int type)
Returns a textual representation of an event type.

Parameters:
  `type` - the type
Returns:
  the string representation